更新履歴

==== Ver 3.7.0(2023/07/19)
 * NEW: Cookie使用時のツイート投稿・削除に対応
 * NEW: Cookie使用時のリツイートおよびリツイートの取消に対応
 * NEW: Cookie使用時の個別ツイートの取得に対応
 * NEW: graphqlエンドポイントを使用しているタブでの「前データを取得」に対応
 * NEW: graphqlエンドポイントが返すエラーメッセージの表示に対応
 * CHG: Google画像検索のURLの変更に対応
 * FIX: 発言一覧でDMを選択中に発言詳細部の日時ラベルをクリックするとエラーが発生する不具合を修正
 * FIX: Cookie使用時に「Listの発言取得に公式RTを含める」の設定が適用されない不具合を修正

==== Ver 3.6.2(2023/07/07)
 * FIX: リプライ制限されたツイートのRTがリストのタイムラインに含まれているとエラーになる不具合を修正

==== Ver 3.6.1(2023/07/07)
 * CHG: graphqlエンドポイントからのレスポンスの読み込み失敗時に問題の起きたツイートをErrorLogsに書き出す機能を追加
 * FIX: リプライ制限されたツイートがリストのタイムラインに含まれているとエラーになる不具合を修正 (thx @wal_san!)
 * FIX: 発言一覧で自分のツイートが片思い状態の色で描画される不具合を修正
 * FIX: 「ユーザー定義のURL」が未設定の状態で「ユーザー定義のURL」を開く操作をするとエラーが発生する不具合を修正 (thx @Tan90909090!)
 * FIX: graphqlエンドポイントからのレスポンス読み込み中に発生した接続エラーが適切に処理されない不具合を修正
 * FIX: Replyタブにリプライが表示されない不具合を修正

==== Ver 3.6.0(2023/07/05)
 * NEW: Cookie使用時にgraphqlエンドポイントを使用したリストのタイムライン取得に対応
 * FIX: 「このタブの発言をクリア」で参照されなくなった発言分のメモリが開放されない場合がある不具合を修正

==== Ver 3.5.0(2023/06/16)
 * CHG: アカウント追加時にOpenTweenのAPIキーによる認可を選択肢に追加
 * CHG: 非対応のOSを使用している場合に起動時に警告を表示する
 * FIX: 削除したタブの取消時に同名のタブが存在した場合のエラーが適切に処理されない不具合を修正
 * FIX: 発言一覧のアイコン画像の取得に失敗した場合のエラーが適切に処理されない不具合を修正
 * FIX: Cookieを使用する場合にUserTimelineで99件を超えて取得するとエラーが返る問題の回避策を追加

==== Ver 3.4.0(2023/01/29)
 * NEW: 複数枚の画像を添付する際に画像の削除や順序の変更ができるようになりました
 * FIX: APIアクセス方式の選択画面でのタブオーダーの誤りを修正

==== Ver 3.3.0(2023/01/22)
 * NEW: アカウント追加時にAPIキーを指定可能になりました
 * CHG: API v2 の使用を設定状態に関わらず無効化しました
 * FIX: 同一の画像を複数枚添付する時にプレビュー画像の表示がエラーになる不具合を修正

==== Ver 3.2.0(2023/01/20)
 * NEW: 複数枚の画像を添付する際にリスト上で画像を確認できるようになりました
 * CHG: アカウント追加時の認可関連のエラーメッセージがより詳細になるように変更

==== Ver 3.1.0(2023/01/14)
 * NEW: 引用ツイートを Ctrl+Shift+L で実行するショートカットを追加 (thx @WizardOfPSG!)
 * CHG: 発言一覧のフォントサイズがアイコンより大きい場合は項目の高さをフォントサイズに合わせるように変更
 * CHG: クリップボードからの画像添付時に表示していた確認ダイアログを廃止
 * FIX: 発言一覧のソート順が日付の昇順となっている場合にタブ切替時にスクロール位置が保持されない不具合を修正

==== Ver 3.0.0(2023/01/11)
 * OpenTween v3.0.0 からは .NET Framework 4.8 以上が必須になります
  - .NET Framework 4.8 ランタイムは https://dotnet.microsoft.com/ja-jp/download/dotnet-framework/net48 から入手できます
  - Windows 10 21H1 以降には標準で .NET Framework 4.8 が含まれているため追加のインストールは不要です
 * このバージョン以降の OpenTween では Windows 8.1 以下向けの対応は行いません

 * CHG: ターゲットフレームワークを .NET Framework 4.8 に変更

==== Ver 2.8.0(2023/01/11)
 * NEW: サムネイル画像のコンテキストメニューに「画像をコピー」を追加 (thx @kzlogos!)
 * NEW: Segoe UI Emoji によるカラー絵文字の描画に対応（発言詳細欄のみ）
 * CHG: Twemojiの画像の取得元をMaxCDNからCloudflareに移行 (thx @sou_niyari!)

==== Ver 2.7.1(2022/09/03)
 * FIX: 発言一覧の選択位置を移動した際にデッドロックが発生する場合がある不具合を修正 (thx @Kazuki_Ashiya!)
 * FIX: 発言本文の翻訳時に発生したエラーが適切に処理されない不具合を修正

==== Ver 2.7.0(2022/07/30)
 * NEW: 発言詳細部の日時ラベルをクリックするとWebブラウザを起動してツイートを表示する機能を追加
 * NEW: 設定画面に「Twitter API v2 の使用を有効にする」のチェックボックスを追加
   - デフォルトで API v2 が有効となり、通常は変更する必要はありません
   - Twitter の API キーを独自に書き換えている場合で、Project への移行を完了できていない等の理由で API v2 を使用できない時はチェックを外してください
 * CHG: 発言詳細部の名前ラベルを投稿者とRTしたユーザーで分けずに表示するように変更
 * FIX: タブの移動後に発言一覧が空の表示になる不具合を修正
 * FIX: 読み込み中の待機ダイアログを表示する際にエラーが発生する不具合を修正
 * FIX: Recentタブの読み込み時にエラーダイアログが表示される場合がある不具合を修正
 * FIX: タブ名変更後にタイムラインを取得するとエラーが発生する不具合を修正

==== Ver 2.6.0(2022/07/24)
 * NEW: Recentタブの発言の取得に Twitter API v2 を使用
   - 従来の API v1.1 と比べて、15分間に取得できる回数の制限が15→180回に緩和、一度に取得できる件数が200→100件になります
 * NEW: RTしたユーザーのプロフィール・タイムラインを表示する機能をメニューに追加 (thx @kzlogos!)
 * NEW: 発言詳細欄の名前やアイコンのクリックによるプロフィール表示に対応
 * NEW: クリップボード経由での複数枚の画像ファイル添付に対応
 * NEW: 画面上に表示する解像度に応じたプロフィール画像の取得に対応
   - 高DPI環境で表示した場合により高解像度のプロフィール画像が取得されるようになります
   - リストのアイコンサイズを none に設定した場合、発言が選択されるまでプロフィール画像のダウンロードを行わなくなります
 * NEW: 発言のダブルクリック時の動作に「Reply All」(@返信ALL)を追加
 * NEW: 関連発言表示で会話ツリーの最新の発言を取得する機能を追加
 * NEW: Twemoji 14.0 に対応しました
  - Unicode 14.0 で追加された絵文字が表示されるようになります
 * CHG: ツイートの投稿者とRTしたユーザーに関するメニュー項目を整理
 * CHG: DMが選択されている時は「@返信」「@返信ALL」のどちらも「DM送信」と同じ動作となるように変更
 * CHG: 複数のユーザー宛のリプライ時にツイートの先頭にピリオドを加える仕様を廃止
 * CHG: 発言一覧上でEnterキーを押した時の動作をダブルクリック時と同じとなるように変更
 * CHG: 初回起動時のウィンドウサイズなどの初期値を変更
 * CHG: 更新間隔の最小値を15秒以上とする制限を廃止
 * FIX: 「Twitter API稼働状況」のリンク先を修正 (thx @kzlogos!)
 * FIX: 起動時に読み込まれた検索・リストタブでフォロー状態を表す色が反映されない不具合を修正 (thx @Hawklaver!)
 * FIX: 等幅フォント表示を有効にした場合に背景色の設定が全面に適用されない不具合を修正 (thx @StoutAmmo!)
 * FIX: 起動直後の時点で発言詳細欄の背景色設定が適用されていない不具合を修正
 * FIX: 自分のツイートに対する「@返信ALL」で自分宛のMentionが付かない不具合を修正 (thx @doug_lee42!)
 * FIX: 関連発言表示によって内部の未読状態と未読表示が一致しない状態になる不具合を修正 (thx @wal_san!)
 * FIX: Webブラウザ起動時にエラーが発生した場合に正しくエラーメッセージが表示されない不具合を修正
 * FIX: 「ツイートURLを開く」で極端に大きなIDが入力された場合に正しくエラーメッセージが表示されない不具合を修正

==== Ver 2.5.0(2022/02/05)
 * NEW: アカウント追加時の認可URLを右クリックでコピー可能にしました
 * NEW: Twemoji 13.1 に対応しました
  - Unicode 13.0 で追加された絵文字が表示されるようになります
 * CHG: pic.twitter.com の画像URLのフォーマット変更に対応
 * CHG: Instagramのサムネイルを表示するURLのパターンを追加
 * CHG: YouTubeのサムネイルを表示するURLのパターンを追加 (thx @Hawklaver!)
 * CHG: UserStreams関係の機能を削除
 * CHG: 設定画面にある通知関係の項目の配置を移動
 * CHG: タブ別の新着通知表示のデフォルト設定を変更
   * Reply, DM タブ以外は新着通知表示がデフォルトでオフになります（従来はタブの種別に関わらずデフォルトでオン）
 * CHG: 「Listの発言取得に公式RTを含める」のデフォルト設定をオンに変更
 * CHG: POSTキーのデフォルト設定を Ctrl+Enter に変更
 * FIX: DMの添付画像をブラウザで開く場合に使用するURLを変更
 * FIX: 大文字アルファベットを含むハッシュタグがユーザー情報画面で正しくリンク化されない不具合を修正 (thx @naminodarie!)
 * FIX: 初回起動時の設定画面でブラウザパスを入力しても認可URLを開く際に適用されない不具合を修正
 * FIX: URL自動短縮の設定値が正しく表示されない不具合を修正
 * FIX: 関連発言表示で一部のツイートの読み込みがエラーになると関連発言タブに何も表示されなくなる不具合を修正
 * FIX: 英語版のメッセージのtypoを修正 (thx @TheQuinbox!)
 * FIX: スリープからの復帰後に発言一覧の自動更新が停止する場合がある不具合を修正
 * FIX: システムの日時を変更すると発言一覧の更新間隔が正しく計算されない場合がある不具合を修正

==== Ver 2.4.3(2019/12/06)
 * FIX: 関連発言表示のタブを読み込み中に閉じるとエラーが発生する不具合を修正
 * FIX: 操作メニューの「タブ振り分けルール作成」から新規タブを作成するとエラーが発生する不具合を修正

==== Ver 2.4.2(2019/10/23)
 * FIX: タブ更新時にエラーが発生するとプロセスが異常終了する場合がある不具合を修正
 * FIX: エラー発生時にステータスバーの縦幅が2行分に広がり戻らなくなる場合がある不具合を修正
 * FIX: 表示中のタブの名前を変更するとエラーが発生する不具合を修正

==== Ver 2.4.1(2019/09/25)
 * FIX: 「タブを一覧の下に表示する」を無効にすると起動時にエラーが発生する不具合を修正 (thx @mulsys!)
 * FIX: 発言一覧の選択状態が正しく描画されない不具合を修正
 * FIX: 更新間隔を0秒に設定した場合に自動更新が停止されない不具合を修正 (thx @kamemory!)

==== Ver 2.4.0(2019/09/24)
 * NEW: Twemoji 12.0.0 に対応しました
  - Unicode 12.0 で追加された絵文字が表示されるようになります
 * CHG: DMの送信が完了したらDirectタブに送信したDMを即座に反映する
 * CHG: htn.to の短縮URLを展開する際に強制的にHTTPSを使用する
 * CHG: OpenTween内部で動作するタイマーの使用方法を見直し
  - 従来まで毎秒5回程度のタイマーイベントが常に発生していたのを、無操作時かつ発言一覧の更新がない間はほぼゼロになるよう改善しました
 * FIX: Twemojiを有効にすると絵文字の後に余分な文字が表示される場合がある不具合を修正
 * FIX: Tumblrのサムネイル表示時にエラーが表示される場合がある不具合を修正
 * FIX: 発言内URLを開く(Ctrl+E)でURLにマルチバイト文字を含むとエラーが発生する場合がある不具合を修正
 * FIX: 英語版のメッセージの誤りを修正 (thx @Tan90909090!)

==== Ver 2.3.1(2019/04/22)
 * FIX: 2019/5/20に予定されているTwitter APIの仕様変更によりエラーが発生する問題を修正
  - OpenTween v2.3.0 までのバージョンは2019/5/20以降に使用できなくなる可能性があります
 * FIX: 絵文字を含むツイートの非公式RTで余分なHTMLタグが混入する不具合を修正 (thx @380Nayuta!)

==== Ver 2.3.0(2019/04/08)
 * CHG: 投稿欄にフォーカスしている間は一部のショートカットを無効にします (thx @pitermach, @lukaszgo1!)
  - 対象となるショートカットは Ctrl+Alt+S (Fav+RT), Ctrl+Alt+R (Fav+非公式RT), Ctrl+Alt+H (ユーザー指定のURLを開く) の3つです
  - AltGrキーを使う言語のキーボートとショートカットキーが重複する問題への対処です
 * CHG: Microsoft Translator Text API v3 に対応
  - OpenTweenの古いバージョンの翻訳機能は 2019/4/30 以降に使用できなくなります
 * CHG: 短縮URLの展開時にHTTPSが使用できるドメインは強制的にHTTPSを使用する
 * CHG: 廃止された短縮URLサービスのドメインをURL展開の対象から削除
 * CHG: 短縮URLで生成されるURLがHTTPSになるように変更
 * CHG: 廃止された twurl.nl によるURL短縮機能を削除
 * CHG: img.azyobuzi.net 利用時の接続先をHTTPSに変更
 * CHG: 廃止されたサービスのサムネイル表示対応を削除
 * CHG: サムネイル表示時にHTTPSが使用できるサービスではHTTPSを使用する
 * CHG: サービス終了したFavstarに関するメニュー項目を削除
 * CHG: ヘルプページ・Google検索・Wikipedia等をHTTPSに対応したURLに変更

==== Ver 2.2.0(2018/11/03)
 * NEW: 絵文字に関する文字数カウントの新仕様に対応しました
  - この変更により「👩‍👧‍👦」「👨‍🎨」など複数の文字で構成される絵文字を入力した場合の文字数制限が緩和されます
 * NEW: Twemoji 11.2.0 に対応しました
  - Unicode 11.0 で追加された絵文字が表示されるようになります
 * NEW: ツイートの投稿に失敗し再試行せずにキャンセルした場合は、発言入力欄に未投稿のテキストを復元します
 * NEW: アップデート通知のダイアログに「このバージョンを無視」ボタンを追加しました
 * FIX: ユーザー情報ダイアログでbioに絵文字を含む場合にハッシュタグやメンションのリンク範囲がずれる不具合を修正
 * FIX: 投稿時取得の設定がオンの場合に、投稿したRTがタイムラインに反映されないことがある不具合を修正

==== Ver 2.1.2(2018/09/30)
 * CHG: 投稿時取得の設定がオフでも、投稿した内容を即時タイムラインに反映させるようにしました
 * CHG: APIのレートリミットに達した場合、リセットされるまでは手動で更新してもリクエストを送らないように変更しました
 * CHG: Directタブの更新時に旧DM APIへのアクセスを行わないよう変更しました (旧API廃止のため)
 * FIX: 起動時に取得したDMが1件も表示されない場合がある不具合を修正 (thx @brianhartgen!)
 * FIX: 起動直後からレートリミット規制中であった場合に解除までの時間がステータスバーに表示されない不具合を修正

==== Ver 2.1.1(2018/08/19)
 * FIX: 新DM APIで取得件数が0件の場合にエラーが発生する不具合を修正
 * FIX: 新DM APIでSourceが空のDMのみ返ってきた場合にエラーが発生する不具合を修正

==== Ver 2.1.0(2018/08/18)
 * NEW: DMの一覧取得・削除について新APIに対応しました
 * CHG: UserStreams停止によるエラーが発生した場合の再接続の間隔を10分に変更

==== Ver 2.0.1(2018/06/13)
 * Windows 8.1 以降で OpenTween v2.0.0 を使用している方は v2.0.1 へのアップデートは不要です

 * FIX: 起動時に .NET Framework 4.7.2 のバージョンチェックが正しく行われるように修正
 * FIX: Windows 7 で TLS1.1/TLS1.2 が有効にならない不具合を修正 (thx @hetaroh!)

==== Ver 2.0.0(2018/06/11)
 * このバージョン以降のOpenTweenは .NET Framework 4.7.2 以上が必須になります
  - .NET Framework 4.7.2 のインストーラーは https://go.microsoft.com/fwlink/?LinkId=863262 から入手できます
  - Windows 10 April 2018 Update には標準で .NET Framework 4.7.2 が含まれているため追加のインストールは不要です
 * Windows Vista ではこのバージョン以降のOpenTweenを動作させることはできません

 * CHG: .NET Frameworkのバージョンが 4.5.1 から 4.7.2 に変更されました
 * CHG: OpenTweenのバージョン番号の規則が変更されました
  - 新しいバージョン規則については https://osdn.net/projects/opentween/wiki/Versioning を参照してください

==== Ver 1.4.2(2018/06/11)
 * NEW: 画像を添付したDMの送信に対応しました
 * NEW: システムのタイムゾーンの変更を検知して、ツイートの投稿日時などの表示を新しいタイムゾーンに同期します
 * NEW: 6/15に予定されている引用ツイートに関する Twitter API の仕様変更に対応しました
 * NEW: リプライ送信時にリプライ以外何も入力されていない状態であった場合は警告のダイアログを表示します
 * FIX: 動画のサムネイル画像に「URLをコピー」を行うとエラーが発生する不具合を修正
 * FIX: pic.twitter.com のサムネイル画像をHTTPS接続で取得するように修正

==== Ver 1.4.1(2017/11/12)
 * NEW: ツイート文字数の280文字への上限緩和に対応しました
  - Twitter公式クライアントなどと同様に、入力する文字種によって文字数の扱いが異なるものになります
  - DMの送信時に行われる文字数のカウントは従来通りのままです
 * NEW: 投稿欄に入力されたリプライと引用ツイートのURLが文字数カウントから除外されます
  - ツイートへの返信で入力された「@... 」や、引用ツイートのために入力されたツイートURLが240文字のカウントに含まれなくなります
  - リプライ以外で入力された、またはツイートの先頭以外に含まれる「@... 」は従来通り文字数のカウントに含まれます
  - ツイートURLについては、文末以外に入力した場合または画像投稿と組み合わせて投稿する場合には従来通り文字数のカウントに含まれます
 * NEW: プロフィール編集時に名前欄に50文字のテキストが入力可能になりました
 * CHG: 画像投稿の対応サービスから「img.ly」「yfrog」「ついっぷるフォト」を削除
  - アップデート前にこれらのサービスを投稿先に選択していた場合は「Twitter」に変更されます
 * CHG: 画像投稿のキャンセル時に選択中の画像表示を閉じないように動作を変更
 * FIX: 投稿欄の複数行表示が次回起動時に保持されない不具合を修正
 * FIX: 自分宛のリプライかつ画像のみのツイートを投稿した場合に先頭の「@... 」が除去されない不具合を修正 (thx @mino90h!)

==== Ver 1.4.0(2017/10/30)
 * NEW: 自分宛のリプライを送信する場合に先頭の「@... 」を除去します (返信先ツイートの情報は維持したまま投稿されます)
 * NEW: サムネイル画像のコンテキストメニューに「開く」「URLをコピー」を追加
 * NEW: ウィンドウ上部の「その他機能」メニューに「投稿設定」を追加
  - 右下の ▼ (POST動作切り替えメニュー) と同じ内容のメニューが表示されます
 * CHG: 自分宛のメンションを含むツイートがRTされた場合に、リプライとして扱わずReplyタブにも表示しないように変更 (thx @7mencho!)
 * CHG: Instagramについて img.azyobuzi.net を使用したサムネイルURLの取得を一時的に無効化
  - Instagram API の問題?によりサムネイルURLの取得に失敗するため
 * CHG: 最新バージョン情報の取得に使用するURLを変更 (HTTPS接続を使用する)
 * FIX: 起動時に復元したウィンドウ位置が画面領域外であった場合に、強制的にウィンドウを移動する動作が機能しない不具合を修正
 * FIX: TweetDeckから投稿されたツイートをFav追加・削除した場合にエラーが発生する問題を回避 (thx @Lolitapple!)
 * FIX: TLS1.1以降のみ有効なサーバーのHTTPS接続に失敗する問題を修正

==== Ver 1.3.9(2017/08/14)
 * CHG: Twemoji v2.3.0 に対応しました
  - Unicode 10.0/Emoji 5.0 で追加された絵文字が表示されるようになります
 * CHG: 「前データを取得」を v1.3.7 より前と同様の動作となるように戻しました
  - スリープからの復帰時など、一度の更新で取得しきれなかった分のツイートを取得したい場合に期待した動作とならないため
 * CHG: ふぁぼ追加時に Err:AlreadyFavorited エラーが発生した場合は成功と見なすようにしました
 * CHG: UserStreamsのイベント一覧画面で、イベントをダブルクリックした際に新規タブとして開く動作に変更しました
  - Favoriteなどツイートが関連するイベントではツイートの詳細を、それ以外ではユーザータイムラインを表示します
 * FIX: 発言一覧の先頭で「前を検索」を実行するとエラーが発生する不具合を修正

==== Ver 1.3.8(2017/06/05)
 * NEW: bit.ly の認証方式が変更されました
  - 短縮URLに bit.ly を使用する場合は、設定画面の「短縮URL」から bit.ly の「認可」ボタンを押して認証情報を入力して下さい
 * CHG: 管理者権限での実行時に表示される警告(v1.3.7で追加)を、UACが無効化された環境では表示しないように変更しました
  - この変更はUACの無効化を推奨するものではありません
 * FIX: Microsoft DataMarket廃止により翻訳機能が使用できなくなった不具合を修正
 * FIX: DMの送信後に「OK:Delaying?」の警告が表示される不具合を修正 (thx @o_keiichi!)

==== Ver 1.3.7(2017/03/20)
 * NEW: PNG画像のアップロード時にJPEGへの変換による劣化を回避する機能を追加しました (pic.twitter.com のみ)
  - 設定画面の 動作→投稿 に追加された項目から有効にできます（デフォルト無効）
 * CHG: 簡体字中国語訳のテキストを削除しました
  - 削除されたのはメニューやメッセージの簡体字中国語訳であり、ツイートの翻訳に使用する Bing 翻訳機能は引き続き使用できます
  - UIの翻訳 (l10n) について継続的にサポートできる体制になく、現状の簡体字中国語の翻訳も古いままメンテナンスできていないため当面の間は英語以外の翻訳を提供しません
  - 簡体字中国語を使用しているユーザーは、本バージョンからは英語を使用して下さい (用户使用简体中文，请使用英语作为此版本的显示语言)
 * CHG: OpenTweenを書き込みに制限のあるフォルダ (Program Files など) に配置した場合、設定ファイルを C:\Users\ユーザー名\Roaming\OpenTween\ 以下に保存します
  - 書き込み可能なフォルダ内に配置した場合は、今まで通り OpenTween.exe と同じ場所に保存します
  - OpenTweenを Program Files 内に配置した状態での使用は現時点ではあくまで非推奨です
 * CHG; OpenTweenを管理者権限で起動しようとすると警告が表示されるようになります
  - OpenTweenは管理者権限を必要とするソフトウェアではありません
  - 管理者権限でOpenTweenを起動する事でD&Dでの画像投稿が制限されたり、設定ファイルが管理者以外から編集できなくなる場合があります
 * CHG: QuoteおよびRetweet(Unofficial)を実行した際に、ツイート入力欄に既にテキストが入力されていた場合は削除せず残すように変更しました
 * FIX: OSの設定で小数点にピリオド以外の記号を用いている環境で、Foursquareのサムネイル表示時にエラーが発生する不具合を修正 (thx @Xiatian!)
 * FIX: 「前データを取得」の後に通常の更新が行われると、次に「前データを取得」した際に1件も取得されない不具合を修正
 * FIX: 発言一覧の更新時にエラーが発生する不具合を回避
 * FIX: 短縮URLの生成中に投稿欄のテキストが変更されるとエラーが発生する不具合を修正
 * FIX: フォロー状態の変更やリストに対する追加・削除を行うと、起動し直すまでその後のAPIアクセスが不能になる場合がある不具合を修正
 * FIX: UserStreamsから不正な形式のレスポンスを受信すると切断される不具合を修正
 * FIX: ニコニコ動画のサムネイル情報取得時に発生したエラーが適切に処理されない不具合を修正

==== Ver 1.3.6(2016/11/22)
 * NEW: 画像アップロード時のタイムアウト時間が変更できるようになりました
  - ファイルサイズが大きい画像のアップロードに頻繁に失敗する場合は、長めに設定すると改善する可能性があります
 * CHG: 非公開アカウントであっても自分自身のツイートを公式RTできるようになりました
 * FIX: 発言詳細部のプロフィール画像に誤ったユーザーの画像が表示されることがある不具合を修正
 * FIX: ツイートURLのコピー時に余分な改行文字が末尾に付く不具合を修正
 * FIX: Bing翻訳機能が使用できなくなっていた問題を修正
 * FIX: 未読発言への移動時にエラーが発生する不具合を修正 (thx @nue_of_k!)
 * FIX: ツイートの削除時に「(DELETED)」の表示がされなくなっていた不具合を修正
 * FIX: 「自分がRTした自分のツイート」に削除機能を使用すると、RTの取り消しではなくRT元のツイートが削除される不具合を修正 (thx @a4lg!)
  - 同現象に対して v1.3.5 で適切に修正できていなかった不具合です
 * FIX: Favoritesタブの「前のデータを取得」が通常の更新と同じ挙動になる不具合を修正 (thx @kakk0u!)
 * FIX: 地図サムネイル表示時のエラーが適切に処理されない不具合を修正 (thx @sobachanko!)
 * FIX: ミュートタブの名前を変更しようとするとエラーが発生する不具合を修正

==== Ver 1.3.5(2016/10/01)
 * NEW: 140文字を越えるツイートの表示に対応しました
 * NEW: pic.twitter.com の画像投稿時に追加されるURLが140文字のカウントに含まれなくなりました
  - メンションおよび引用ツイートの除外は現時点では未対応のため140文字の制限に含まれます
 * NEW: リスト管理で未取得(グレー表示)の状態が無くなり、常に追加・未追加の状態が表示されるようになりました
 * NEW: Twemoji v2.2 で追加された絵文字の表示に対応しました
  - Unicode 9.0 で追加された絵文字などが新たに表示されるようになります
 * CHG: リストの一覧を表示する際に20件を越える場合のAPIリクエスト回数が少なくなりました
 * FIX: UserStreamsが正常に動作しないことがある不具合を修正
 * FIX: 「このユーザーへの＠発言を検索」がv1.3.3から機能しなくなっていた不具合を修正
 * FIX: プロフィール画像のキャッシュ参照時にエラーが発生する不具合を修正
 * FIX: Alt+←/→による移動時にエラーが発生する不具合を修正
 * FIX: 「自分がRTした自分のツイート」を選択して削除機能を使用すると、RTの取り消しではなくRT元のツイートが削除される不具合を修正
 * FIX: タブ名の変更時に発言一覧のスクロール位置・選択状態に不整合が生じていた不具合を修正
 * FIX: Twemojiによる絵文字の表示が有効な場合に、異字体セレクタを含む絵文字が正しく表示されない不具合を修正

==== Ver 1.3.4(2016/08/26)
 * FIX: Fav削除時にエラーが発生し操作不能になる不具合を修正

==== Ver 1.3.3(2016/08/21)
 * NEW: twemoji V2 に対応しました
  - 「絵文字を画像で表示する(Twemoji)」が有効な場合に Unicode 8.0 で追加された絵文字が表示されるようになります
 * NEW: pic.twitter.com の画像アップロード時に代替テキストを送信できるようになりました
  - 代替テキストについては https://blog.twitter.com/ja/2016/0330alt を参照して下さい
 * NEW: スクリーンリーダーで引用ツイートの内容が発言一覧上でも読み上げられるようになりました
 * NEW: 自分のツイートを公式 RT する操作に対応しました
 * CHG: v1.3.0 から有効にしていたサムネイル画像等のキャッシュを無効化しました
   - Windows 7, 8.1 でエラーが多数報告されたため、問題が解決するか OS のサポートが終了するまで無効化します
   - v1.2.9 以前から有効な、発言一覧などに表示されるプロフィール画像のキャッシュは今まで通り行われます
 * CHG: Ctrl+Cでの発言のコピー(STOT形式)について、非公開アカウントのツイートであってもコピー可能になりました
   - 非公式RT機能については以前までと同様に非公開アカウントのツイートに対しては使用できません
 * FIX: UserStreamsが無効かつ「投稿時取得」の設定が有効な場合に公式RTを行うとエラーが発生する不具合を修正
 * FIX: 発言投稿欄にフォーカスを移動した際にスクリーンリーダーで残り文字数が読み上げられなくなっていた不具合を修正
 * FIX: 「認証開始」ボタンの英語表記の誤りを修正 (thx @masonasons!)
 * FIX: 二重起動エラー時に既に起動しているウィンドウをアクティブにする機能が動作しない不具合を修正 (thx @103yen!)
 * FIX: 画像投稿時に画像ファイルへのアクセスに失敗した場合のエラーが適切に処理されない不具合を修正
 * FIX: 投稿失敗時のメッセージを表示する際に投稿文によっては不正なエラーが発生する不具合を修正
 * FIX: img.lyアップロード時のタイムアウトエラーが正しく処理されない不具合を修正
 * FIX: 削除直後にタブのコンテキストメニューを開くとエラーが発生する場合がある不具合を修正
 * FIX: タブの追加・名前変更時にツイートの受信のタイミングが重なるとエラーが発生する不具合を修正
 * FIX: 発言投稿欄にCtrl+Vでクリップボードの内容を貼り付けた際のエラーが適切に処理されなかった不具合を修正
 * FIX: アカウント追加時に表示される認証画面のスクリーンリーダーでの読み上げを改善

==== Ver 1.3.2(2016/04/12)
 * NEW: touch.pixiv.net のサムネイル表示に対応 (pixiv.net は既に対応しています)
 * NEW: pic.twitter.com の画像に設定された代替テキストの取得に対応
  - 代替テキストが設定された画像の場合、発言一覧に含まれる画像 URL が代替テキストに置き換わって表示されます
 * CHG: スクリーンリーダーでの画面の読み上げを改善
 * FIX: 投稿欄の複数行入力が有効かつCtrl+Enterで投稿する設定の状態でハッシュタグの自動付与が行われない不具合を修正 (thx @nt776!)
 * FIX: タブレット端末などでサムネイル画像が1枚のみ表示された状態で2本指スクロールするとエラーが発生する問題を回避
 * FIX: 発言詳細部に表示されるハッシュタグやメンションで「URLをコピー」が機能しない不具合を修正 (thx @ufoprincess!)
 * FIX: 複数のタブで同時に新着ツイートを受信した場合に通知音が再生されない場合がある不具合を修正
 * FIX: タイムライン検索の結果を新規タブに表示した場合に、スクリーンネームなどが検索対象にならない不具合を修正 (thx @tests_peer!)
 * FIX: プロフィール画面の自己紹介に含まれるハッシュタグや @ユーザー名 のリンク先が正しくない不具合を修正 (thx @momdo_!)
 * FIX: NVDAで発言一覧の名前以降の列が読み上げられない環境がある現象を回避 (thx @i_hate_myself92!)
 * FIX: Bing翻訳APIのタイムアウト時のエラーが正しく処理されない不具合を修正

==== Ver 1.3.1(2015/12/28)
 * CHG: ツイート投稿時に意図せずTwitterがSMSコマンドとして解釈することを防ぐ「SMSコマンドを回避する」オプションを追加
  - D, DM および M から始まるツイートを投稿するとSMSコマンドと解釈されてエラーとなる問題を回避します
  - v1.2.9 までの「APIコマンドを回避する」と異なり、末尾にピリオドを追加するのではなくゼロ幅スペース (U+200B) を使うため表示上目立ちにくくなりました
  - 画面右下の「▼」のメニューから無効にできます（デフォルトで有効）
 * CHG: 発言詳細部にリプライ先のツイートを表示する際は赤枠で表示し、引用ツイートと区別できるようにしました
 * FIX: リストおよび検索のタブでミュート設定が適用されない不具合を修正 (thx @Tan90909090!)
 * FIX: 「このタブの発言をクリア」を実行時にエラーが発生する不具合を修正
 * FIX: 各タブの「新着通知表示」が無効になっていると通知音が再生されなくなる不具合を修正
 * FIX: Imgurへの画像アップロードがタイムアウトとなった場合のエラーが適切に処理されない不具合を修正
 * FIX: 発言一覧の更新によって選択状態が失われたツイートを選択し直しても発言詳細部に反映されない不具合を修正 (thx @norick_v125!)

==== Ver 1.3.0(2015/12/23)
 * NEW: リプライ先のツイートの内容が発言詳細部に表示されるようにしました
  - 従来通り「関連発言表示」によるリプライチェインの表示も使用できます
 * NEW: NVDAでのタブ名の読み上げに対応しました
 * NEW: OpenTweenで内部エラーが発生した場合にエラーレポートをDMで送信できるようにしました
  - DM で送信する場合は、エラーレポートを圧縮した上で @OpenTween 宛に送られます
 * CHG: Retweetイベントのイベント一覧での表示を他のイベントと統一 (thx @naminodarie!)
 * CHG: スペースキーで未読ツイートに移動する順序を、常に表示順の通りに移動するように修正
  - OpenTween v1.2.4 以前と同じ動作になりました
 * CHG: プロフィール画面の「Web」「自己紹介」に含まれる短縮URLの展開に対応 (thx @naminodarie!)
 * CHG: Foursquareのサムネイル表示機能でチェックインURLの仕様変更に対応
 * CHG: 「APIコマンドを回避する」の機能を廃止
 * CHG: Ctrl+Insert キーで Ctrl+C と同じ機能が実行されるように変更 (Ctrl+Shift+Insert, Alt+Shift+Insert も同様)
 * CHG: 画像などの読み込み時にキャッシュが使われるように変更
  - サムネイル画像、プロフィール画像などがキャッシュの対象となります
 * FIX: Home/Endキーの直後に左右キーを押すと以前の選択ツイートの関連発言に移動してしまう不具合を修正 (thx @coookien!)
 * FIX: 発言詳細部のコンテキストメニューでURLをコピーすると「&」が「&amp;」としてコピーされる不具合を修正 (thx @pO_0q!)
 * FIX: タイムラインの流速が速い時に発言一覧のスクロールバーがちらつく現象を修正
 * FIX: ハッシュタグ設定画面で複数のハッシュタグをまとめて削除すると正しく削除されない不具合を修正 (thx @Tan90909090!)
 * FIX: RetweetイベントのTargetに「&gt;」「&lt;」などがデコードされずに表示されていた不具合を修正 (thx @naminodarie!)
 * FIX: 高DPI環境で一部の画面のレイアウトが崩れる問題を修正
  - 設定画面の「更新間隔」「発言一覧」や振り分けルール編集画面のリスト項目の高さなど
 * FIX: 不正なツイートURLを含む発言を受信するとエラーが発生する不具合を修正
 * FIX: リスト編集画面でリストメンバーの取得ボタンを連打するとエラーが発生する不具合を修正
 * FIX: サムネイル枠の横幅が起動するたびに広がる不具合を修正
 * FIX: 「新着時に未読をクリアする」を有効にした状態で長時間動作させると動作が非常に重くなる不具合を修正 (thx @nezuku!)
 * FIX: 絵文字を含むURLの入ったツイートを選択すると発言詳細部に壊れたテキストが表示される不具合を修正
 * FIX: 短縮URLの展開によってツイートの受信が遅延しないように改善
 * FIX: pbs.twimg.orgのURLの末尾に :orig 等が付いていると、ブラウザで開く画像URLに :orig が二重に付いてしまう不具合を修正
 * FIX: OpenStreetMapを使用した地図サムネイルがエラーで表示されない不具合を修正
 * FIX: ステータスバーの流速表示に計算途中の流速が表示される場合がある不具合を修正

==== Ver 1.2.9(2015/09/23)
 * NEW: ウィンドウ最大化中でも発言詳細部やサムネイルの幅の変更が設定に保存されるようしました
 * NEW: タイトルバーに表示する「発言数/フォロー数/フォロワー数」の情報が起動直後から反映されるようにしました
 * CHG: 起動時にTwitter APIへのアクセスに失敗した場合はエラーダイアログを表示するようにしました
 * FIX: ハッシュタグ付加機能が動作しない不具合を修正
 * FIX: サムネイル画像にフォーカスがない状態でマウスホイールによる画像の切り替えが動作しない不具合を回避
 * FIX: 起動直後の初回のDM一覧取得が失敗する不具合を修正

==== Ver 1.2.8(2015/09/06)
 * NEW: DMの文字数制限の緩和（上限10,000文字）に対応しました（投稿および表示）
 * NEW: サムネイル画像が複数枚ある場合に、マウスホイールでも画像を切り替えられるようにしました
 * NEW: サムネイル画像のメニューに「類似画像検索 (SauceNAO)」を追加しました
  - Google画像検索でヒットしないpixivのイラストからも類似画像を検索できます
 * NEW: 文字数上限を超えている状態であっても強制的に投稿を実行できるようにしました
  - クライアント側の文字数の誤カウントやTwitterが正しくないDM上限文字数を返すような状況が起きた場合の回避策です
  - 普通は強制的に投稿してもエラーで失敗します
 * CHG: 文字数上限を超えているときに自動で末尾をカットして投稿する機能を削除しました
 * FIX: 上下キーなどで選択ツイートを移動した直後に左右キーなどによる関連ツイートの移動が正しく動作しない不具合を修正
 * FIX: DM投稿時の「D (スクリーン名)」が文字数のカウントに余分に含まれていた不具合を修正
 * FIX: 絵文字入力時に文字数が1文字多くカウントされていた不具合を修正
 * FIX: ミュート中のユーザーID取得時のエラーが正しく処理されない不具合を修正
 * FIX: UserStreamsから想定外のデータを受信した場合のエラーが正しく処理されない不具合を修正
 * FIX: “[”キーで返信先ツイートを表示する際に、ツイートの取得が完了するまでウィンドウが応答無しの状態になる不具合を修正
 * FIX: “[”キーで返信先ツイートを表示するタイミングによってエラーが発生する不具合を修正 (thx @intbatt, @Linfiel!)
 * FIX: リスト編集画面でのリスト一覧読み込み時に発生したエラーが正しく処理されない不具合を修正
 * FIX: 高DPI環境で待機中ダイアログのレイアウトが崩れる問題を回避
 * FIX: サムネイル表示時にメモリリークが発生する恐れのある不具合を修正
 * FIX: PublicSearch/Lists/Userタブの更新中にエラーが発生すると他のタブの更新が行われないままになる不具合を修正 (thx @tests_peer!)

==== Ver 1.2.7(2015/08/11)
 * 一部環境で pic.twitter.com やプロフィール画像が表示されない現象が発生しています
 * 回避策として 設定→接続→「pbs.twimg.comへの接続に強制的にIPv4を使用する」を有効にすることで
 * 改善される可能性があります

 * NEW: 投稿欄での Ctrl+V でクリップボード上の画像を投稿できるようになりました
 * NEW: UserStreams の quoted_tweet イベントに対応
 * NEW: 公式RTの通知に対応しました
 * NEW: 公式の引用ツイートに則った投稿に対応しました
  - 操作メニューまたはツイート右クリックメニューから Quote を選択すると、投稿欄に該当のステータスURLが入力されます
  - 以前までの「Quote」とは機能が異なるため注意して下さい
 * NEW: Gyazoのサムネイル表示に対応
 * NEW: Recentタブ以外でのタイムライン検索でも検索結果を新規タブに表示できるようにしました
  - 従来までの検索結果タブと異なり、終了時にタブが破棄されるため注意して下さい
 * NEW: pbs.twimg.com に強制的にIPv4で接続する設定項目を追加しました
 * CHG: 非公式RTとQTの機能を統合しました
  - 「Retweet(Unofficial)」機能は「RT @***: 」が入力されるだけでなく返信先 (in_reply_to と呼ばれる) の情報が投稿時に付くようになります
  - かつては非公式RTの in_reply_to の有無でフォロワーから見える範囲が変化しましたが、現在はその差異がないため統合しました
 * CHG: 引用ツイートをクリックした時の動作を変更しました
  - ツイートURLをクリックした場合はWebブラウザで開き、引用表示されたツイートをクリックした場合は関連発言表示で開きます
 * FIX: ツイートの選択時にシステムの効果音が鳴っていた不具合を修正
 * FIX: Ctrl+Eでツイート内のリンクを開く際に、Ctrlキーで「ユーザーのホームをタブで開く」設定を反転させる機能と競合していた不具合を修正 (thx @dj_kusuha!)
 * FIX: 異常なsourceを含むツイートの振り分け時にエラーが発生する問題の回避
 * FIX: 正規表現でSourceを振り分ける条件をミュートタブに設定するとDM受信時にエラーが発生する不具合を修正 (thx @Raydere!)
 * FIX: 起動直後に pic.twitter.com での画像投稿が行えない問題の修正
 * FIX: 短縮URLの展開時に適切にエンコードされていないURLによって文字化けする場合がある問題の回避
 * CHG: Twitter APIへの接続でgzip圧縮を使用して通信を行うようになりました

==== Ver 1.2.6(2015/06/10)
 * Twitter 社から規約違反として指摘を受けた箇所を修正したバージョンです
 * OpenTween で今まで使用していた API キーを失効し再発行したため、必ずアップデートして下さい
 * v1.2.5 までの過去のバージョンは今後使用できません

 * NEW: ミュート機能を追加しました
  - 設定したミュート条件はRecentだけでなく検索やリストなど全てのタブに適用されます
  - 振り分けルール編集画面から「(ミュート)」タブに条件を追加することで設定できます
 * NEW: ツイートに含まれる絵文字を画像として表示できるようになりました (thx @takke!)
 * NEW: 振り分けルールの有効/無効を切り替えられるようにしました
 * NEW: ツイートURLをクリックした場合に関連発言表示タブを開くようにしました
 * NEW: 引用ツイート (本文中のツイートURL) を発言詳細部で展開して表示するようにしました
 * NEW: プロフィール画面の読み込みなどの処理をキャンセルできるようにしました
  - 一部で報告されている読み込み中のまま数十秒待たされる現象への一時的な対処
 * NEW: 振り分けルールの追加時に重複チェックが行われるようになりました
 * NEW: SoundCloudのサムネイル表示に対応
 * CHG: ツイートを複数選択した状態での一括ふぁぼ追加を行えないようにしました
  - Twitter社により規約に反するとの指摘があったため
 * FIX: Mobypicture のサムネイルが表示されなくなっていた不具合を修正
 * FIX: 画像ファイルをD&Dした際のチェック処理が不十分になっていた不具合を修正
 * FIX: 存在しないスクリーンネームに対してDMを送信した場合のエラーを適切に扱えていない不具合を修正 (thx @Linfiel!)
 * FIX: 異常なsourceを含むツイートの表示時にエラーが発生する問題を回避 (thx @blanite!)
 * FIX: Tumblrからのサムネイル画像取得が時々エラーになる問題の回避
 * FIX: 短縮URL生成時にタイムアウトしてエラーになる問題の回避

==== Ver 1.2.5(2015/02/11)
 * NEW: 他人にRTされた自分のツイートをメニューから削除できるようになりました
 * NEW: UserStreams の favorited_retweet イベント / retweeted_retweet イベントに対応
  - 注：イベントの通知や履歴への登録はされません
 * NEW: 着せ替えアイコン機能についての説明テキストを同梱しました
 * NEW: 短縮URLとして展開の対象とするドメインを追加しました
 * NEW: DPIの異なる環境間で設定ファイルをコピーしても画面幅などが正しく復元されるようになりました
 * NEW: 発言一覧の右クリックメニューに「Source振り分けルール作成」を追加しました
  - 選択したツイートの Source を振り分けルールに追加します
 * NEW: Twitter Amplifyのサムネイル表示に対応
 * CHG: 着せ替えアイコン機能で従来より省略可能なアイコンを増やしました
 * CHG: API使用情報やステータスバー上のリクエスト残回数の表示方法を変更しました
  - タブを切り替えるごとに、そのタブが使用しているAPIの残回数を表示するようにしました
  - 注：UserStreamsで動作している一部のタブは残数更新が行われないため、表記が ??? になることがありますが、不具合ではありません
 * CHG: pic.twitter.com のアニメーションGIF/動画のサムネイル中央に再生アイコンを表示するようにしました
  - ダブルクリックするとブラウザで該当ツイートを開きます（OpenTweenでは再生できません）
 * CHG: サムネイル画像をダブルクリックした際に（存在すれば）大きいサイズの画像をブラウザで開くようにしました
  - 発言詳細に表示されているURLをクリックした場合は従来通りそのURLのページが開きます
 * FIX: 振り分けルールの設定後、表示中の発言一覧でツイートの並びがおかしくなる不具合を修正
 * FIX: タブ削除の取消後、ツイートの内容が表示されるまでラグがある不具合を修正
 * FIX: 画像が紐付いていないTumblrのURLに対してサムネイル画像欄が表示され読み込みに失敗する不具合を修正
  - v1.2.4 で正しく修正できていなかった不具合の対応です
 * FIX: 「新着時に未読をクリアする」機能で末尾の一件だけ既読にならない不具合を修正
 * FIX: 「発言詳細部・入力欄を発言一覧の下に配置する」設定を変更すると画像投稿ができなくなる不具合を修正
 * FIX: ブラウザパス設定の参照ボタンが動作しなくなっていた不具合を修正
 * FIX: 投稿欄のテキストボックスが一行表示の状態の時に下に余白が生じていた不具合を修正
 * FIX: 発言詳細欄からツイート本文をコピーした際に改行が失われてしまう問題を回避
 * FIX: プロフィール編集に失敗した場合に「適用」ボタンが無効のまま元に戻らない不具合を修正
 * FIX: プロフィール編集中にプロフィール画面を閉じるとエラーが発生する不具合を修正
 * FIX: 高DPI環境でサムネイル表示部の縦スクロールバーが正しくスケーリングされない問題を修正
 * FIX: 高DPI環境でタブに表示される未読アイコンが正しくスケーリングされない問題を修正
 * FIX: pic.twitter.com への画像投稿が失敗してもエラー表示されなかった不具合を修正
 * FIX: UserStreams を無効にした状態で起動すると、起動時のツイート取得が二重に行われることがある不具合を修正 (thx @hama_kai!)

==== Ver 1.2.4(2014/11/23)
 * NEW: Mobypicture (mobypicture.com) への画像投稿に対応
 * NEW: tmblr.co で短縮されたTumblrのURLに対してもサムネイル表示できるようにしました
 * NEW: i.instagram.com ドメインのURLのサムネイル表示に対応
 * CHG: サービス終了のため、Twitpic を画像の投稿先から削除
  - それに伴い、デフォルトの投稿先を Twitter (pic.twitter.com) に変更しました
 * CHG: プロフィール表示・編集でのエスケープ処理を twitter.com での挙動に合わせました
  - 名前および現在地に < > " の記号を使うことはできません (Twitter側で削除されます)
  - 自己紹介では < > " の記号はそれぞれ &lt; &gt; &quot; に変換した上で設定されます
 * CHG: プロフィール画面へのD&Dによるアイコン変更時に確認ダイアログを出すようにしました
 * FIX: 画像投稿時に、入力したツイートと画像URLの間に空白が2文字入ってしまう不具合を修正
 * FIX: ESCキーで閉じられないダイアログが一部存在していた問題を修正
 * FIX: サムネイル及びプロフィール画像の読み込み時にメモリリークする恐れがある不具合を修正
 * FIX: 大量のツイートを一括で既読にする際の速度を改善
 * FIX: ショートカットキー Alt+Shift+[↑↓] によるサムネイル画像のスクロールの向きが正しくない不具合を修正
 * FIX: プロフィール画面を更新中に閉じるとエラーが発生する不具合を修正
 * FIX: 「選択文字列で検索」-「Google」で、一部の記号を含む検索文字列が途切れる不具合を修正
 * FIX: 数万件のツイートを表示している状態でのCtrl+Aによる全選択が極端に遅くなる問題を修正
 * FIX: UserStreamsから時々不正なJSONが送られてくる問題への対処
 * FIX: ミュート機能がRecentタブで正しく動作していなかった不具合を修正
 * FIX: 空のタブを表示した状態で Shift+H, Shift+M, Shift+L (画面上,中央,下のツイートを選択) を押下するとエラーが発生する不具合を修正
 * FIX: flic.kr ドメインのURLでサムネイル表示が出来なくなっていた問題を修正
 * FIX: Ctrl+E (発言内URLを開く) でリプライが含まれていた場合に「@」が一文字多く表示される不具合を修正

==== Ver 1.2.3(2014/09/03)
 * NEW: UserStreams の (un)mute イベント追加に対応
  - 再起動せずにミュートの追加・解除が反映されるようになります
 * CHG: 複数選択状態の画像ファイルをD&Dした際の動作を変更しました
  - ドロップされたファイルを一度に読み込むようにしました（投稿先の投稿可能枚数までで、現状は pic.twitter.com のみ）
 * FIX: 翻訳機能使用時に発言詳細部のフォント設定が適用されない問題を修正
 * FIX: ツイート投稿時などに接続エラーが発生する現象の対策 (thx @moccos!)
 * CHG: UserStreams のイベント通知に使用される NotifyIcon のバルーンアイコンを Warning から Info に変更

==== Ver 1.2.2(2014/07/06)
 * このバージョンのOpenTweenは pic.twitter.com に複数枚の画像が含まれている場合の表示に対応していますが、
   現状では「ユーザーのタイムラインを表示」やUserStreamsを無効にした状態で取得されたツイートのみ表示できます。
   UserStreamsやPublicSearchについてはTwitterAPI側の対応待ちです。

 * NEW: pic.twitter.com への複数枚画像の投稿に対応しました
  - 投稿先に Twitter を選択し、左端のコンボボックスを切り替えることで、最大 4 枚まで選択可能です
  - 投稿するファイルの数・サイズによっては、投稿完了までに若干の時間がかかります
 * NEW: GIFMAGAZINE のサムネイル表示に対応
  - pic.twitter.com に投稿されたアニメーションGIFはTwitterAPI側の対応待ちで当面の間表示はできません
 * CHG: 発言詳細部の更新時のパフォーマンスを改善
 * FIX: pic.twitter.com に複数枚の画像が含まれていた場合のサムネイル表示が適切に実装できていなかった問題を修正
 * FIX: 一部クライアントから投稿されたツイートの読み込み時にエラーが発生する問題の修正
 * FIX: 短縮URL生成時のエラーが適切に処理されない問題を修正
 * FIX: プロキシ設定が一部の機能 (アイコンの読み込み, 短縮URLの展開等) で適用されない問題を修正

==== Ver 1.2.1(2014/05/26)
 * NEW: 5月28日(太平洋夏時間, UTC-7)から追加される予定の pic.twitter.com の複数枚画像表示に対応しました
  - pic.twitter.com への複数枚画像の投稿は未対応です
 * CHG: 起動時に .NET Framework 4.5.1 以降がインストールされているか確認を行います
 * CHG: Foursquareの地図表示を swarmapp.com のURLでも表示可能にしました
 * FIX: 発言詳細欄から右クリックで日本語ハッシュタグを固定すると、エンコード状態のハッシュタグが登録される問題を修正
 * FIX: PublicSearchタブでの検索時に Err:Unauthorized(GetSearch) が表示される問題の回避策を追加
 * FIX: サムネイル画像の読み込み中に別のツイートに選択を移動した際に動作が固まる現象の回避 (thx @_1t_, @Tan90909090, @suzushin!)
 * FIX: 日本語等を含むツイートでBing翻訳機能を使用すると文字化けする問題を修正 (thx @KishSoup!)
 * FIX: DMに添付された画像のサイズが大きい場合に読み込みに失敗しエラーが発生する問題を修正
 * FIX: プロフィール表示時にアイコン画像の読み込みでエラーが発生する問題を修正 (thx @kamiari!)
 * FIX: ミュート中のユーザーの公式RTが非表示にならない問題を修正 (thx @KishSoup!)
 * FIX: サムネイル表示などでアニメーションGifを再生中にエラーが発生する問題の対策を追加
 * FIX: プロフィール情報表示時にエラーが発生する複数の不具合を修正

==== Ver 1.2.0(2014/05/18)
 * このバージョン以降のOpenTweenは .NET Framework 4.5.1 が必要となります
 * .NET Framework 4.5.1 は Windows XP にはインストールできないためご注意下さい

 * NEW: 検索ダイアログからの検索結果をタブとして表示（＝振り分けタブを追加）できるようになりました
  - 現状、Recentタブ内の検索時以外には使用できません
 * NEW: 検索ダイアログからPublicSearchタブを追加できるようになりました
 * NEW: Twitter公式のミュート機能でミュートしているユーザーを起動時に取得・非表示にできるようになりました
  - 現状、取得のみでミュートの設定は行えません
 * NEW: 発言詳細部・入力欄を発言一覧の上に配置できるようになりました
  - 上部に配置する場合は、「発言詳細部・入力欄を発言一覧の下に配置する」のチェックを外してください
 * CHG: 使用する.NET Frameworkのバージョンが 4.0 から 4.5.1 に変更されました
 * CHG: 画像ファイルをD&Dした際の動作を変更しました
  - 投稿先がD&Dしたファイルに対応していない場合、勝手に投稿先を切り替えず、エラーダイアログを表示するだけにします
 * CHG: 設定画面から「FoursquareのURLからプレビューを表示する」の項目を削除しました
  - ベニュー情報の取得が非同期に行えるようになり動作に支障を来す恐れが無くなったため
  - 以前の設定に関わらずチェックインURLが含まれているツイートはサムネイルに地図が表示されるようになります
 * CHG: bctiny.com が消滅していたため関連するサムネイル表示の処理を削除
 * CHG: Windows 8.1 Preview 対応のための処理を削除
  - Preview版のみの対処で、正式リリース版では引き続き利用可能です
 * FIX: PublicSearchタブでの再検索時に、特定の条件下でエラーが発生する問題を修正 (thx @Lolitapple!)
 * FIX: FoursquareのチェックインURLのサムネイル表示が動作しなくなっていたのを修正
 * FIX: 「ツイートURLを開く」機能でツイートの読み込みが失敗した場合のエラー処理が正しく行われない問題を修正
 * FIX: サムネイルを表示している間、投稿欄からTabキーで直接リストにフォーカスを移せない問題を修正 (thx @Lolitapple!)

==== Ver 1.1.9(2014/03/22)
 * NEW: 「リストのアイコンサイズ」設定を再起動不要で反映できるようになりました (thx @5px!)
  - カラムヘッダの右クリックメニューからも変更することが出来ます
 * NEW: 短縮URLサービスによる短縮が二重に施されたURLなどを展開できるようになりました
 * CHG: ブラウザからのD&Dで入力されるテキストの動作を変更しました
  - 投稿欄に既にテキストが入力されている場合は間に半角スペースを挿入、空であればD&DされたページのタイトルとURLのみを挿入します
 * CHG: 設定画面で img.azyobuzi.net を有効にするか否かを選択可能にしました
 * CHG: デフォルトではDMに含まれる画像URLに対して img.azyobuzi.net を使用しない設定としました
 * FIX: 高DPI設定の環境下で発言詳細部のプロフィール画像に余白が表示されてしまう問題を修正 (thx @5px!)
 * FIX: URLやハッシュタグ等を含むツイートを非公式RTする際に、HTMLの断片が投稿欄に入力されてしまう問題を修正
 * FIX: 詳細発言欄で上下キーを使ったスクロールが出来なくなっていた問題を修正
 * FIX: 「#」の直後に濁点などの結合文字が続くハッシュタグを登録できない問題を修正

==== Ver 1.1.8(2014/02/23)
 * NEW: ファイルメニューに「ツイートURLを開く」を追加
  - https://twitter.com/*****/statuses/1234567890 のような形式のURLを直接開くことが出来ます
 * NEW: プロフィール画像の右クリックメニューに「再読み込み」を追加
 * NEW: ブラウザからのD&Dに対応 (Firefox, Chrome で動作します)
  - アドレスバーの Favicon やリンクなどを D&D すると投稿欄にURLとタイトルが入力されます
 * CHG: 投稿するツイートの末尾の全角スペースを除去しない
 * CHG: 消滅したtwitvideo関連の機能を削除
 * FIX: サムネイル画像の取得をキャンセルするとエラーが発生する場合がある問題の修正
 * FIX: サムネイル画像の読み込み中に画面の更新が遅くなる問題の修正
 * FIX: 壊れたプロフィール画像を取得したり不安定な回線で読み込みを行うと操作不能な状態になることがある問題の修正
 * FIX: Twitter API から取得したツイートのエンティティ情報が不正な場合の対策を追加 (thx @nyamph_pf!)
 * FIX: サロゲートペアを含むツイートのリンク化処理が正しく行われない問題の修正
 * FIX: https のURLを含むツイートの文字数カウントが正しくない問題の修正
 * FIX: ツイート内の改行を2文字としてカウントしてしまう問題の修正
 * FIX: TEMP 環境変数に不正なパスが設定されているユーザーへの対策を追加
 * FIX: Twitter APIがJSONでない改行を含む不正なテキストを返した場合にステータスバーの表示が崩れる問題の修正 (thx @Raydere!)

==== Ver 1.1.7(2014/01/16)
 * NEW: ダイレクトメッセージに添付された画像のサムネイル表示に対応
 * CHG: 「通信にHTTPSを使用する」の設定項目を削除
   - Twitter APIへの接続にSSLが必須となったため、常にHTTPSを使用して通信します
 * CHG: Twitterのプロフィールページなどをブラウザで開く際のURLのスキームを http:// から https:// に変更しました
 * CHG: 既にサービスが終了しているOutputz関連の設定項目を削除
 * FIX: 設定ファイルの保存時に Setting*.xml.tmp ファイルが残ったまま設定が保存できなくなる問題の修正
 * FIX: UserStreamsの list_destroyed イベントを受信した際に未知のイベントとして扱われる問題を修正 (thx @5px)
 * FIX: ツイート選択時にサムネイル枠のスクロールバー選択位置を初期化するように修正 (thx @5px!)

==== Ver 1.1.6(2013/12/12)
 * UriFormatException のエラーが多数報告されたため修正版をリリースしました

 * CHG: 発言一覧等に使用するフォントのデフォルトが誤って変更されていた問題を修正
 * FIX: 不正なURLを含むツイートを受信するとエラーが発生する問題を修正
 * FIX: 短い名前のタブの幅が極端に狭く表示されてしまう問題を修正

==== Ver 1.1.5(2013/12/12)
 * NEW: ディスプレイのDPI設定に応じて適切にスケーリングが行われます
 * NEW: OpenTween派生クライアントなどから設定ファイルをコピーした場合に、存在しない設定を削除せず保持するようになります
 * NEW: タブやボタン等のUIに任意のフォントを指定できます
   - フォントによっては一部レイアウトが崩れるため隠し設定にしています
   - SettingLocal.xml に <FontUIGlobalStr>Meiryo UI, 9pt</FontUIGlobalStr> のように記述することで使えます
   - 「メイリオ」のように日本語のフォント名を指定する場合は UTF-8 で保存するのを忘れずに
 * NEW: 起動オプション /configDir:<dirpath> を使用して設定ファイルの参照先を変更できるようになります
   - 別々の設定ファイルを使用するプロセスであれば複数のOpenTweenを同時起動することが可能です
 * NEW: Imgur への画像投稿（匿名アップロードのみ）に対応しました
 * CHG: PublicSearchタブ内のツイートのメニューでも「返信元ステータスを開く」が使用できるよう修正 (thx @5px!)
 * CHG: 発言詳細欄内のリンクのツールチップに、デコードされた状態のURLが表示されるようになります
 * FIX: 取得したプロフィール画像が壊れていた場合のエラー処理を改善 (thx @7mencho!)
 * FIX: サムネイル情報の取得に失敗した場合のエラー処理を改善
 * FIX: 設定ファイルの保存に失敗すると設定ファイルが空になる問題を修正
 * FIX: 複数ツイートを選択した状態での「コピー（ステータスURL）」が改行区切りとなるように修正 (thx @5px!)

==== Ver 1.1.4(2013/10/19)
 * CHG: タブ振り分けルールでのスクリーン名に対するヒット条件が、「複合条件」では完全一致、「単一条件」では部分一致となっていたため完全一致に統一
 * FIX: 取得したプロフィール画像が壊れていた場合にOpenTweenが異常終了してしまう問題の修正 (thx @5px, @selvaggio!)
 * FIX: 取得した画像が壊れていた場合にメモリリークを起こす可能性のある箇所の修正 (thx @5px!)
 * FIX: タブ振り分けルールの「単一条件」が公式RTした人のスクリーン名に対してヒットしない問題の修正 (thx @Shoichi_Kublai!)

==== Ver 1.1.3(2013/10/11)
 * タブ振り分けルールの挙動が若干変わりました
 * 基本的には Tween の Wiki に記載されている挙動に忠実にしたものですが、一部利用者には影響があるかもしれません
 * http://sourceforge.jp/projects/tween/wiki/%E3%82%BF%E3%83%96%E6%8C%AF%E3%82%8A%E5%88%86%E3%81%91%E3%83%AB%E3%83%BC%E3%83%AB

 * CHG: Twitter API のエラー処理を改善
 * CHG: 旧 API v1 関連の機能を削除
 * CHG: タブ振り分けルールの処理を改善
   - 除外ルールが単独で指定された場合 (マッチルールが空欄) でなくても除外ルールがタブ全体への例外指定として作用してしまう挙動を修正
   - (正規表現無効時) 除外ルールの「発言内容」を半角スペース区切りで複数指定したときに AND 条件ではなく OR 条件として判定してしまう挙動を修正
   - URL 検索が有効の時は Source を完全一致ではなく部分一致でマッチするように修正
 * CHG: 全てのHTTPリクエストに適切なUser-Agentヘッダを付けるよう修正
 * CHG: 短縮URLの「すべてのURLについて解決を試みる」機能を削除
 * FIX: 「片思いユーザーリストを取得する」を無効にするとRT非表示設定が反映されない問題の修正 (thx @ui_nyan!)
 * FIX: ブロックされているユーザーのツイートをふぁぼった時にUserStreamsが切断されてしまう問題の修正
 * FIX: 片思いユーザーリストの更新に失敗すると希に片思い表示がされなくなる現象を修正
 * FIX: ブロック中のユーザーリストが正しく取得できていなかった問題の修正
 * FIX: 画像付きポストを行う際にアップローダーが Twitpic もしくは yfrog の場合、ツイートに reply_to が付加されない問題を修正
 * FIX: タブ削除の取消機能で関連発言タブを復元するとそれ以降関連発言表示が出来なくなる問題を修正 (thx @5px!)
 * FIX: アイコン取得やサムネイル表示等でプロキシ設定が適用されない問題を修正
 * FIX: タブ振り分けルール設定時にマッチ条件などの末端の空白文字が削除される問題を修正

 * v1.1.5 にて OpenTween のデフォルト設定の変更を検討しています
 * 興味のある方は下記 URL を参照して下さい
 * http://sourceforge.jp/forum/forum.php?thread_id=33989&forum_id=27648

==== Ver 1.1.2(2013/07/06)
 * NEW: 画像アップロード対応サービスについっぷるフォトを追加
 * CHG: 画像アップロード対応サービスから Lockerz を削除 (API廃止のため)
 * FIX: Twitpic, yfrog, img.ly に画像をアップロードすることができない問題を修正
 * FIX: Windows 8.1 Preview にて UserStreams が動作しない問題の対策 (thx @ch3cooh!)
 * FIX: 検索タブ更新時に壊れたツイートを受信した場合の対策を追加 (thx @nyamph_pf!)
 * FIX: 検索機能の API v1.1 対応が不完全であった箇所の修正 (thx @nyamph_pf!)
 * FIX: APIレートリミット表示がタイミングによって不整合を起こす問題の修正
 * FIX: 関連発言表示時に Err:Gone(GetRelatedResultsApi) が表示される問題の修正 (thx @KishSoup!)

==== Ver 1.1.1(2013/06/11)
 * 当バージョンから Twitter API v1.1 に対応しています
 * 旧 API v1 は太平洋標準時の 6/11 (Wed) に廃止される予定であると Twitter 社が予告しています
 * API v1.1 の使用に不都合がある場合は、ステータスバーのレートリミット表示をクリックすることで API v1 と切り替えることができます。

 * NEW: API v1.1 に対応
 * NEW: サムネイル画像表示の右クリックメニューにGoogle画像検索を開くための項目を追加 (thx @moccos!)
 * FIX: 画像投稿画面をキャンセルした場合にタイムライン表示に復帰できない不具合を修正 (thx @polka_roco_!)

==== Ver 1.1.0(2013/05/15)
 * NEW: タブの表示位置を画面上部に変更可能に (thx @aokomoriuta!)
 * NEW: mobile.twitter.com/<スクリーン名>/status/<ステータスID> のURLも関連発言表示の対象に追加
 * NEW: Favstarなどサードパーティ製サービスのパーマリンクURLも関連発言表示の対象に追加
 * CHG: エラーログの出力先を変更 (OpenTween.exe と同じ場所に ErrorLogs フォルダが作成されます)
 * FIX: スペースが含まれているURLをブラウザで開こうとするとURLが分断されて複数のタブが開いてしまう問題を修正 (thx @5px!)
 * FIX: 画面更新時にInvalidOperationExceptionのエラーが発生する不具合を修正
 * FIX: 関連発言表示が非公開アカウントのツイートに対して機能しない問題を修正
 * FIX: 言語設定が英語の状態でリスト管理の画面が翻訳されずに表示される問題を修正

==== Ver 1.0.9(2013/04/07)
 * CHG: APIレートリミット関連の実装を修正
 * FIX: アイコンキャッシュの破棄時にエラーが出ることがある問題を修正
 * FIX: UserStreamsのunfollowイベントでエラーが起きていたのを修正
 * FIX: プロフィール画像・サムネイルの表示切り替え時にエラーが起きる場合がある問題を修正
 * FIX: タイムライン上のアイコンが空白のまま表示されない場合がある問題を修正 (thx @5px!)
 * FIX: アカウント追加時の初回認証に失敗する問題を修正 (thx @polka_roco_!)
 * FIX: ツールバー上のAPIレートリミット表示が正しく動作しなくなった問題を修正
 * FIX: ツイタマなど一部のTwitterクライアントから投稿されたツイートの改行が正しく表示されない問題を修正 (thx @ohta8801, @kossetsu_inryo!)
 * FIX: プロフィール編集画面で入力した <, > などの記号が保持されない問題を修正 (thx @cn!)

==== Ver 1.0.9-beta1(2013/02/08)
 * ベータ版です
 * 使用中に不具合が起きた場合は #OpenTween かメールで遠慮なく報告して下さい

 * NEW: .NET Framework 4.0 Client Profile での動作に対応 (今後Full版のインストールは不要になります)
 * NEW: メニューに Twitter API の稼働状況ページへのリンクを追加
 * CHG: アイコンのキャッシュ機構を全面的に書き直し
 * CHG: アイコンの取得先をHTTPSを使用するURLに変更
 * FIX: 96dpiの環境で発言詳細欄のアイコンが等倍に表示されるようにサイズ調整 (thx @5px!)
 * FIX: サムネイル表示の2枚目以降の画像が正しいサイズで表示されない不具合を修正
 * FIX: 発言詳細欄に表示したツイートに含まれるURLへ無差別にHEADリクエストを飛ばす問題を修正
 * FIX: 言語設定が英語の状態でコンテキストメニューの「削除 (&D)」が翻訳されずに表示される問題を修正

==== Ver 1.0.8(2013/01/21)
 * v1.0.7 のみに存在する、アニメーションGifのサムネイル表示に関連した重要な修正を含んでいます

 * FIX: http://m.tbs.jp/tv/ で始まるURLを含むツイートを開くと発生するエラーの対策 (thx @WhiteWeathercoc!)
 * FIX: ディスプレイ設定が96dpiの環境で発言詳細欄のアイコンが正方形に表示されない不具合の修正 (thx @5px!)
 * FIX: PublicSearch利用時に発生することのあるエラーの対策
 * FIX: アニメーションGifを使用した画像をサムネイル表示すると表示が壊れる問題の修正 (thx @hama_kai!)

==== Ver 1.0.7(2013/01/19)
 * NEW: img.azyobuzi.net を使用したサムネイル表示に対応
 * CHG: 検索APIをATOMからJSONに移行 (thx @re4k, @5px!)
 * CHG: サムネイル表示を大幅に書き直し
 * FIX: ID振り分けルール作成時にエラーが起きる問題を修正 (thx @tadsan!)

==== Ver 1.0.6(2012/09/04)
 * NEW: TUNA.BE のサムネイル表示に対応
 * NEW: 地図のサムネイルに使用するサービスを選択可能に（OpenStreetMap/Google Maps）
 * NEW: 画像共有サービス Path (path.com) のサムネイル表示に対応
 * CHG: デフォルトの地図サムネイル表示をOpenStreetMapに変更
 * CHG: アップデート通知画面をちょっと変更
 * CHG: 一行表示時に改行を半角スペースとして表示するように変更（以前は単純に改行を削除して表示）
 * CHG: 初回起動時け右下のメニューを目立たせるように変更
 * FIX: 発言詳細部のアイコンの縦幅が狭くなっていたのを修正
 * FIX: Pcklesのサムネイルが表示できなくなっていたのを修正
 * FIX: 検索タブにて Invalid ATOM エラーが発生する問題の暫定措置

==== Ver 1.0.5(2012/08/17)
 * CHG: 「タブを固定」機能を「タブを保護」に名称変更
 * CHG: 閉鎖された画像共有サービスbrightkite・picplzのサムネイル対応を終了
 * FIX: UserStreamsの >突然の仕様変更< に対応

==== Ver 1.0.4(2012/08/13)
 * NEW: 「タブを固定」機能を追加
 * CHG: OAuth認証に内部ブラウザを使用する方法を廃止
 * CHG: Instagramのサムネイル画像を正式に提供されているURLに更新
 * FIX: プロフィール編集中に編集画面を閉じると次回編集時の挙動がおかしくなる問題を修正 (thanks @miracleflyer!)
 * FIX: ツイートのRT回数が正常に表示されない問題を修正 (thanks @re4k!)
 * FIX: ついっぷるフォト・imgur・pixivのサムネイルが正常に取得できない問題を修正
 * FIX: Bing翻訳のAPI仕様変更に対応

==== Ver 1.0.3(2012/05/26)
 * NEW: via.me のサムネイル表示に対応
 * CHG: yats-data.comのTwitter検索を削除 (サイト閉鎖のため)
 * FIX: UserStreamsのイベントログ表示をEscキーで閉じられない問題を修正
 * FIX: yfrogのサムネイルURL仕様変更に対応
 * FIX: ツイートに含まれるpixivのイラストURLの判定を修正
 * FIX: Pcklesのサムネイルが画像によっては表示できないことがある問題を修正

==== Ver 1.0.2(2012/05/19)
 * NEW: アップデート確認機能を追加
 * FIX: 発言詳細部においてUnicodeで追加された一部の文字が正しく表示されない問題を修正
 * FIX: メッセージなどに含まれるアプリケーション名の変更漏れを修正
 * FIX: タスクバーから復元した際に最大化した状態が保持されない問題を修正
 * FIX: ハートマーク <3 が文字化けして表示されてしまう問題を修正 (thanks @Lolitapple!)
 * FIX: タブの未読表示が解除されない場合がある問題を修正
 * FIX: ハッシュタグ検索時に例外が発生する可能性がある問題を修正
 * CHG: ツイートに含まれるURLの判定をより厳格に変更

==== Ver 1.0.1(2012/04/09)
 * FIX: OpenTweenアイコンが表示方法によって低解像度で表示されてしまう問題を修正
 * FIX: リスト表示上での一部のショートカットキーが動作しない問題を修正
 * FIX: 「常に最前面に表示」が有効な状態でバージョン情報ダイアログを表示できない問題を修正
 * FIX: 「最小化したときにアイコン化する」が強制的にオンになる問題を修正
 * FIX: STOT形式コピー時にprotectedユーザのつぶやきが混ざっているとエラーが発生する問題を修正 (thanks @tests_peer!)
 * FIX: PublicSearchタブで、一度クリアしたツイートがタブ更新時に再び表示されてしまう問題を修正 (thanks @5px!)
 * NEW: TwitrPixとPcklesのサムネイル画像表示に対応
 * NEW: fb.meとon.fb.meのURL展開に対応

==== Ver 1.0.0(2012/03/30)
 * 相変わらずオープンソースです。

 * NEW: OpenTweenのアイコンが追加されました
 * CHG: バージョン番号の表記を変更しました
 * CHG: bit.ly短縮におけるプライバシー問題の対処としてAPIキーの指定を必須としました
   http://sourceforge.jp/projects/opentween/lists/archive/dev/2012-January/000020.html

OpenTween以前のTweenの変更履歴はTweenのWebサイトを参照してください。
